# Uses of Class
org.apache.solr.common.cloud.Replica

Packages that use Replica
Package
Description
org.apache.solr.client.solrj.routing
Classes to handle query routing preferences
org.apache.solr.common.cloud
Common Solr Cloud and ZooKeeper related classes reused on both clients & server.

## Uses of Replica in org.apache.solr.client.solrj.routing

Methods in org.apache.solr.client.solrj.routing that return types with arguments of type Replica
Modifier and Type
Method
Description
`Comparator<Replica>`
NodePreferenceRulesComparator.`getReplicaComparator()`

## Uses of Replica in org.apache.solr.common.cloud

Methods in org.apache.solr.common.cloud that return Replica
Modifier and Type
Method
Description
`Replica`
Replica.`copyWith(PerReplicaStates.State state)`
`Replica`
Replica.`copyWith(Replica.State state)`
`Replica`
DocCollection.`getLeader(String sliceName)`
`Replica`
Slice.`getLeader()`
`Replica`
DocCollection.`getReplica(String coreNodeName)`
`Replica`
Slice.`getReplica(String replicaName)`
Methods in org.apache.solr.common.cloud that return types with arguments of type Replica
Modifier and Type
Method
Description
`Map<String,List<Replica>>`
ClusterState.`getReplicaNamesPerCollectionOnNode(String nodeName)`
Deprecated.
`List<Replica>`
DocCollection.`getReplicas()`
Deprecated.
`Collection<Replica>`
Slice.`getReplicas()`
Gets the list of all replicas for this slice.
`List<Replica>`
Slice.`getReplicas(EnumSet<Replica.Type> s)`
Gets the list of replicas that have a type present in s
`List<Replica>`
Slice.`getReplicas(Predicate<Replica> pred)`
Gets all replicas that match a predicate
`Map<String,Replica>`
Slice.`getReplicasCopy()`
`Map<String,Replica>`
Slice.`getReplicasMap()`
Get the map of coreNodeName to replicas for this slice.
`List<Replica>`
DocCollection.`getReplicasOnNode(String nodeName)`
Get the list of replicas hosted on the given node, or an empty list if none.
`Iterator<Replica>`
Slice.`iterator()`
Methods in org.apache.solr.common.cloud with parameters of type Replica
Modifier and Type
Method
Description
`Slice`
Slice.`copyWith(Replica modified)`
Make a copy with a modified replica
Method parameters in org.apache.solr.common.cloud with type arguments of type Replica
Modifier and Type
Method
Description
`void`
DocCollection.`forEachReplica(BiConsumer<String,Replica> consumer)`
`List<Replica>`
Slice.`getReplicas(Predicate<Replica> pred)`
Gets all replicas that match a predicate
Constructor parameters in org.apache.solr.common.cloud with type arguments of type Replica
Modifier
Constructor
Description
``
`Slice(String name, Map<String,Replica> replicas, Map<String,Object> props, String collection)`